com.ihr.xbrl.om.xdt

## Class XDTFactWithVirtualDimensions

- java.lang.Object
- - com.ihr.xbrl.om.xdt.XDTFact
  - - com.ihr.xbrl.om.xdt.XDTFactForApplications
    - - com.ihr.xbrl.om.xdt.XDTFactWithVirtualDimensions

-     public class XDTFactWithVirtualDimensions
      extends XDTFactForApplications

  The Class XDTFactWithVirtualDimensions.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDTFactWithVirtualDimensions(XBRLFactItem fact, XDTProcessor processor, XDTInfosetConsumer xdtInfoset, boolean bThrowValidationExceptions)` Instantiates a new XDT fact with virtual dimensions.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XDTVirtualDimension` | `getDimensionByName(javax.xml.namespace.QName name)` Gets the dimension by name.
    `java.lang.Object` | `getDimensionValue(XDTVirtualDimension dim)` Gets the dimension value.
    `java.lang.Object` | `put(XDTVirtualDimension dim, java.lang.Object value)` Put.

    - ### Methods inherited from class com.ihr.xbrl.om.xdt.XDTFactForApplications

      `getDimensions, getDimensions, getDimensionValue`

    - ### Methods inherited from class com.ihr.xbrl.om.xdt.XDTFact

      `equals, getDimensionPreferredContainer, getDimensionValue, getFact, getProcessor, hashCode, isDefaultValue, validate`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDTFactWithVirtualDimensions

          public XDTFactWithVirtualDimensions(XBRLFactItem fact,
                                      XDTProcessor processor,
                                      XDTInfosetConsumer xdtInfoset,
                                      boolean bThrowValidationExceptions)

      Instantiates a new XDT fact with virtual dimensions.
      Parameters:
        `fact` - the fact
        `processor` - the processor
        `xdtInfoset` - the xdt infoset
        `bThrowValidationExceptions` - the b throw validation exceptions

  - ### Method Detail

    - #### getDimensionByName

          public XDTVirtualDimension getDimensionByName(javax.xml.namespace.QName name)

      Gets the dimension by name.
      Parameters:
        `name` - the name
      Returns:
        the dimension by name

    - #### getDimensionValue

          public java.lang.Object getDimensionValue(XDTVirtualDimension dim)

      Gets the dimension value.
      Parameters:
        `dim` - the dim
      Returns:
        the dimension value

    - #### put

          public java.lang.Object put(XDTVirtualDimension dim,
                             java.lang.Object value)

      Put.
      Parameters:
        `dim` - the dim
        `value` - the value
      Returns:
        the object